KCDIRMGR(1)

NAME
kcdirmgr - command line interface to manage the directory hash database

DESCRIPTION

The command `kcdirmgr' is a utility for test and debugging of the directory hash database and its applications. `path' specifies the path of a database file. `key' specifies the key of a record. `value' specifies the value of a record. `file' specifies the input/output file.

    kcdirmgr create [-otr] [-onl|-otl|-onr] [-tc] path
        Creates a database file.
    kcdirmgr inform [-onl|-otl|-onr] [-st] path
        Prints status information.
    kcdirmgr set [-onl|-otl|-onr] [-add|-app|-rep|-inci|-incd] [-sx] path key value
        Stores a record.
    kcdirmgr remove [-onl|-otl|-onr] [-sx] path key
        Removes a record.
    kcdirmgr get [-onl|-otl|-onr] [-rm] [-sx] [-px] [-pz] path key
        Prints the value of a record.
    kcdirmgr list [-onl|-otl|-onr] [-max num] [-rm] [-sx] [-pv] [-px] path [key]
        Prints keys of all records, separated by line feeds.
    kcdirmgr clear [-onl|-otl|-onr] path
        Removes all records of a database.
    kcdirmgr import [-onl|-otl|-onr] [-sx] path [file]
        Imports records from a TSV file.
    kcdirmgr copy [-onl|-otl|-onr] path file
        Copies the whole database.
    kcdirmgr dump [-onl|-otl|-onr] path [file]
        Dumps records into a snapshot file.
    kcdirmgr load [-otr] [-onl|-otl|-onr] path [file]
        Loads records from a snapshot file.
    kcdirmgr defrag [-onl|-otl|-onr] path
        Performs defragmentation.
    kcdirmgr setbulk [-onl|-otl|-onr] path key value ...
        Store records at once.
    kcdirmgr removebulk [-onl|-otl|-onr] [-sx] path key ...
        Remove records at once.
    kcdirmgr getbulk [-onl|-otl|-onr] [-sx] [-px] path key ...
        Retrieve records at once.
    kcdirmgr check [-onl|-otl|-onr] path
        Checks consistency.

Options feature the following.

    -otr : opens the database with the truncation option.
    -onl : opens the database with the no locking option.
    -otl : opens the database with the try locking option.
    -onr : opens the database with the no auto repair option.
    -tc : tunes the database with the compression option.
    -st : prints miscellaneous information.
    -add : performs adding operation.
    -app : performs appending operation.
    -rep : performs replacing operation.
    -inci : performs integer increment operation.
    -incd : performs real number increment operation.
    -sx : the input data is evaluated as a hexadecimal data string.
    -rm : removes the record.
    -px : the output data is converted into a hexadecimal data string.
    -pz : does not append line feed at the end of the output.
    -max num : specifies the maximum number of shown records.
    -pv : prints values of records also.

This command returns 0 on success, another on failure.

SEE ALSO

kcdirtest(1)